Package net.shibboleth.shared.spring.servlet

# Enum Class ChainableFilter.FilterOrder

java.lang.Object
java.lang.Enum<ChainableFilter.FilterOrder>
net.shibboleth.shared.spring.servlet.ChainableFilter.FilterOrder

All Implemented Interfaces:
  `Serializable`, `Comparable<ChainableFilter.FilterOrder>`, `Constable`

Enclosing interface:
  ChainableFilter

public static enum ChainableFilter.FilterOrder extends Enum<ChainableFilter.FilterOrder>
An abstraction for modeling filter order.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EARLIEST`
Run as early as possible.
`EARLY`
Run early but not the earliest.
`LATE`
Run later but not the latest.
`LATEST`
Run as late as possible.
`NEUTRAL`
Run whenever.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final int`
`intValue`
Store integer value.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`FilterOrder(int value)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`int`
`getValue()`
Get the integral equivalent of the enum.
`static ChainableFilter.FilterOrder`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ChainableFilter.FilterOrder[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### EARLIEST

public static final ChainableFilter.FilterOrder EARLIEST
Run as early as possible.

### EARLY

public static final ChainableFilter.FilterOrder EARLY
Run early but not the earliest.

### NEUTRAL

public static final ChainableFilter.FilterOrder NEUTRAL
Run whenever.

### LATE

public static final ChainableFilter.FilterOrder LATE
Run later but not the latest.

### LATEST

public static final ChainableFilter.FilterOrder LATEST
Run as late as possible.

## Field Details

### intValue

private final int intValue
Store integer value.

## Constructor Details

### FilterOrder

private FilterOrder(int value)
Constructor.

Parameters:
  `value` - value to use

## Method Details

### values

public static ChainableFilter.FilterOrder[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ChainableFilter.FilterOrder valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

public int getValue()
Get the integral equivalent of the enum.

Returns:
  integral value